<bugID>996036<Summary>Confusing Focus Ring UI + Behavior in new in content prefs.</Summary><Description>Created attachment 8406200
focus-vs-enabled

two related issues: 

Current
--------
Input focus ring is very difficult to distinguish from the enabled radio buttons and check boxes. (see attachment).

Expected
--------
Recommend removing the fuzzy blue ring from radio buttons and check boxes and using a 1 px border in the same blue instead. 

Current
--------
Clicking outside of focused input does not remove focus from element.

Expected
--------
Clicking outside of focused input should remove focus from element.</Description></bugID>